﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
public class Control : MonoBehaviour {
    public float maxSpeed = 10f;
    public float jumpForce = 0f;
    bool facingRight = false;
    bool grounded = false;
    public Transform groundCheck;
    public LayerMask whatIsGround;

    public float move;
    public float nextJump = 100f;
    private Animator anim;
    private GameObject player1;

    void Start()
    {
        player1 = GameObject.Find("Player1_sprite");
        anim = player1.GetComponent<Animator>();
    }

    void FixedUpdate()
    {
        grounded = Physics2D.OverlapCircle(groundCheck.position, 0.2f, whatIsGround);

        move = Input.GetAxis("Horizontal");
    }

    void Update()
    {
        anim.SetBool("grounded", grounded);
        anim.SetFloat("speed", Mathf.Abs(Input.GetAxis("Horizontal")));

        if (Input.GetKeyDown(KeyCode.W) && grounded)
        {   
                    GetComponent<Rigidbody2D>().AddForce(Vector2.up * jumpForce);    
        }
        GetComponent<Rigidbody2D>().velocity = new Vector2(move * maxSpeed, GetComponent<Rigidbody2D>().velocity.y);

        if (move > 0 && !facingRight)
            Flip();
        else if (move < 0 && facingRight)
            Flip();
    }

    void Flip()
    {
        facingRight = !facingRight;
        Vector3 theScale = transform.localScale;
        theScale.x *= -1;
        transform.localScale = theScale;
    }
}
