﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Player2 : MonoBehaviour {

    
    public Player2 move2;
    public AttackRight attackright;
    
    
    public AttackUp1 attackup2;
    public AudioClip[] audioClip;

    public float maxSpeed = 10f;
    public float jumpForce = 0f;
    bool facingRight = true;
    public bool grounded = false;


    public float move;
    public float jump;
    private Animator anim;
    private GameObject player2;
    private GameObject player;


    public int curHealth;
    public int maxHealth = 4;

    void Start()
    {
       move2 = GetComponent<Player2>();
        attackright = GetComponent<AttackRight>();
        
        attackup2 = GetComponent<AttackUp1>();

        player2 = GameObject.Find("Player2_sprite");
        player = GameObject.Find("Player1_sprite");
        anim = player2.GetComponent<Animator>();
        curHealth = maxHealth;
    }

    void FixedUpdate()
    {

        move = Input.GetAxis("Horizontal1");
    }

    void Update()
    {
        anim.SetBool("grounded1", grounded);
        anim.SetFloat("speed1", Mathf.Abs(Input.GetAxis("Horizontal1")));

        if (Input.GetKeyDown(KeyCode.W) && grounded)
        {
            GetComponent<Rigidbody2D>().AddForce(Vector2.up * jumpForce);
        }


        GetComponent<Rigidbody2D>().velocity = new Vector2(move * maxSpeed, GetComponent<Rigidbody2D>().velocity.y);

        if (move > 0 && !facingRight)
            Flip();
        else if (move < 0 && facingRight)
            Flip();

        if (curHealth > maxHealth)
        {
            curHealth = maxHealth;
        }

        if (curHealth < 1)
        {
            Die();
            Invoke("ChangeLevel", 4.0f);
        }
    }

    void Flip()
    {
        facingRight = !facingRight;
        Vector3 theScale = transform.localScale;
        theScale.x *= -1;
        transform.localScale = theScale;
    }
    public void Damage(int dmg)
    {
        curHealth -= dmg;
        PlaySound(0);
    }

    void Die()

    {
        PlaySound(1);
       
        anim.SetBool("isDead", true);
        player.GetComponent<Animator>().SetBool("win", true);
        GameObject.FindGameObjectWithTag("Player1").GetComponent<Player1>().enabled = false;
        GameObject.FindGameObjectWithTag("Player1").GetComponent<AttackUp>().enabled = false;
        GameObject.FindGameObjectWithTag("Player1").GetComponent<AttackLeft>().enabled = false;
        GameObject.Find("fartdamage").GetComponent<Fart>().enabled = false;

        attackright.enabled = false;
       
        attackup2.enabled = false;
        move2.enabled = false;

    }
    void PlaySound(int clip)
    {
        AudioSource audio = GetComponent<AudioSource>();
        audio.clip = audioClip[clip];
        audio.Play();

    }

    void ChangeLevel()
    {
        Application.LoadLevel("Intro");
    }
}
